

# Module hex_api_package_owner #
* [Function Index](#index)
* [Function Details](#functions)

<a name="index"></a>

## Function Index ##


<table width="100%" border="1" cellspacing="0" cellpadding="2" summary="function index"><tr><td valign="top"><a href="#add-5">add/5</a></td><td>
Adds a packages owner.</td></tr><tr><td valign="top"><a href="#delete-3">delete/3</a></td><td>
Deletes a packages owner.</td></tr><tr><td valign="top"><a href="#get-3">get/3</a></td><td>
Gets a packages owner.</td></tr><tr><td valign="top"><a href="#list-2">list/2</a></td><td>
Lists the packages owners.</td></tr></table>


<a name="functions"></a>

## Function Details ##

<a name="add-5"></a>

### add/5 ###

<pre><code>
add(Config::<a href="hex_core.md#type-config">hex_core:config()</a>, PackageName::binary(), UsernameOrEmail::binary(), Level::binary(), Transfer::boolean()) -&gt; <a href="hex_api.md#type-response">hex_api:response()</a>
</code></pre>
<br />

Adds a packages owner.

Examples:

```
  > hex_api_package_owner:add(hex_core:default_config(), <<"package">>, <<"user">>, <<"full">>, false).
  {ok, {200, ..., #{
       <<"email">> => <<"user@example.com">>,
       <<"full_name">> => <<"John Doe">>,
       <<"handles">> => #{...},
       <<"inserted_at">> => <<"2014-04-21T17:20:12Z">>,
       <<"level">> => <<"full">>,
       <<"updated_at">> => <<"2019-08-04T19:28:05Z">>,
       <<"url">> => <<"https://hex.pm/api/users/user">>,
       <<"username">> => <<"user">>
       }}}
```

<a name="delete-3"></a>

### delete/3 ###

<pre><code>
delete(Config::<a href="hex_core.md#type-config">hex_core:config()</a>, PackageName::binary(), UsernameOrEmail::binary()) -&gt; <a href="hex_api.md#type-response">hex_api:response()</a>
</code></pre>
<br />

Deletes a packages owner.

Examples:

```
  > hex_api_package_owner:delete(hex_core:default_config(), <<"package">>, <<"user">>).
  {ok, {204, ..., nil}}
```

<a name="get-3"></a>

### get/3 ###

<pre><code>
get(Config::<a href="hex_core.md#type-config">hex_core:config()</a>, PackageName::binary(), UsernameOrEmail::binary()) -&gt; <a href="hex_api.md#type-response">hex_api:response()</a>
</code></pre>
<br />

Gets a packages owner.

Examples:

```
  > hex_api_package_owner:get(hex_core:default_config(), <<"package">>, <<"user">>).
  {ok, {200, ..., #{
       <<"email">> => <<"user@example.com">>,
       <<"full_name">> => <<"John Doe">>,
       <<"handles">> => #{...},
       <<"inserted_at">> => <<"2014-04-21T17:20:12Z">>,
       <<"level">> => <<"full">>,
       <<"updated_at">> => <<"2019-08-04T19:28:05Z">>,
       <<"url">> => <<"https://hex.pm/api/users/user">>,
       <<"username">> => <<"user">>
       }}}
```

<a name="list-2"></a>

### list/2 ###

<pre><code>
list(Config::<a href="hex_core.md#type-config">hex_core:config()</a>, PackageName::binary()) -&gt; <a href="hex_api.md#type-response">hex_api:response()</a>
</code></pre>
<br />

Lists the packages owners.

Examples:

```
  > hex_api_package_owner:list(hex_core:default_config(), <<"package">>).
  {ok, {200, ..., [#{
       <<"email">> => <<"user@example.com">>,
       <<"full_name">> => <<"John Doe">>,
       <<"handles">> => #{...},
       <<"inserted_at">> => <<"2014-04-21T17:20:12Z">>,
       <<"level">> => <<"full">>,
       <<"updated_at">> => <<"2019-08-04T19:28:05Z">>,
       <<"url">> => <<"https://hex.pm/api/users/user">>,
       <<"username">> => <<"user">>
       }]}}
```

